apiVersion: policy.open-cluster-management.io/v1
kind: Policy
metadata:
  annotations:
    argocd.argoproj.io/compare-options: IgnoreExtraneous
    policy.open-cluster-management.io/categories: CM Configuration Management
    policy.open-cluster-management.io/controls: CM-2 Baseline Configuration
    policy.open-cluster-management.io/standards: NIST SP 800-53
  creationTimestamp: "2025-09-19T13:00:32Z"
  generation: 1
  labels:
    hive.openshift.io/managed: "true"
    policy.open-cluster-management.io/cluster-name: 2ldg9p0tjamj3npk8e84t704einhqrh0
    policy.open-cluster-management.io/cluster-namespace: 2ldg9p0tjamj3npk8e84t704einhqrh0
    policy.open-cluster-management.io/root-policy: openshift-acm-policies.rbac-permissions-operator-config-sp
  name: openshift-acm-policies.rbac-permissions-operator-config-sp
  namespace: 2ldg9p0tjamj3npk8e84t704einhqrh0
  resourceVersion: "344360539"
  uid: 6f85e330-6d0d-45e1-9041-bdac54f77e4e
spec:
  disabled: false
  policy-templates:
  - objectDefinition:
      apiVersion: policy.open-cluster-management.io/v1
      kind: ConfigurationPolicy
      metadata:
        name: rbac-permissions-operator-config-sp
      spec:
        evaluationInterval:
          compliant: 2h
          noncompliant: 45s
        object-templates:
        - complianceType: mustonlyhave
          metadataComplianceType: musthave
          objectDefinition:
            apiVersion: rbac.authorization.k8s.io/v1
            kind: ClusterRoleBinding
            metadata:
              name: dedicated-admin-serviceaccounts-c0
            roleRef:
              apiGroup: rbac.authorization.k8s.io
              kind: ClusterRole
              name: dedicated-admins-cluster
            subjects:
            - apiGroup: rbac.authorization.k8s.io
              kind: Group
              name: system:serviceaccounts:dedicated-admin
        pruneObjectBehavior: DeleteIfCreated
        remediationAction: enforce
        severity: low
  - objectDefinition:
      apiVersion: policy.open-cluster-management.io/v1
      kind: ConfigurationPolicy
      metadata:
        name: rbac-permissions-operator-config-sp2
      spec:
        evaluationInterval:
          compliant: 2h
          noncompliant: 45s
        namespaceSelector:
          exclude:
          - kube
          - kube-*
          - openshift
          - openshift-*
          - default
          - redhat-*
          include:
          - '*'
        object-templates:
        - complianceType: mustonlyhave
          metadataComplianceType: musthave
          objectDefinition:
            apiVersion: rbac.authorization.k8s.io/v1
            kind: RoleBinding
            metadata:
              name: dedicated-admin-serviceaccounts-0
            roleRef:
              apiGroup: rbac.authorization.k8s.io
              kind: ClusterRole
              name: dedicated-admins-project
            subjects:
            - apiGroup: rbac.authorization.k8s.io
              kind: Group
              name: system:serviceaccounts:dedicated-admin
        pruneObjectBehavior: DeleteIfCreated
        remediationAction: enforce
        severity: low
  - objectDefinition:
      apiVersion: policy.open-cluster-management.io/v1
      kind: ConfigurationPolicy
      metadata:
        name: rbac-permissions-operator-config-sp3
      spec:
        evaluationInterval:
          compliant: 2h
          noncompliant: 45s
        namespaceSelector:
          exclude:
          - kube
          - kube-*
          - openshift
          - openshift-*
          - default
          - redhat-*
          include:
          - '*'
        object-templates:
        - complianceType: mustonlyhave
          metadataComplianceType: musthave
          objectDefinition:
            apiVersion: rbac.authorization.k8s.io/v1
            kind: RoleBinding
            metadata:
              name: dedicated-admin-serviceaccounts-1
            roleRef:
              apiGroup: rbac.authorization.k8s.io
              kind: ClusterRole
              name: admin
            subjects:
            - apiGroup: rbac.authorization.k8s.io
              kind: Group
              name: system:serviceaccounts:dedicated-admin
        pruneObjectBehavior: DeleteIfCreated
        remediationAction: enforce
        severity: low
  - objectDefinition:
      apiVersion: policy.open-cluster-management.io/v1
      kind: ConfigurationPolicy
      metadata:
        name: rbac-permissions-operator-config-sp4
      spec:
        evaluationInterval:
          compliant: 2h
          noncompliant: 45s
        object-templates:
        - complianceType: mustonlyhave
          metadataComplianceType: musthave
          objectDefinition:
            apiVersion: rbac.authorization.k8s.io/v1
            kind: ClusterRoleBinding
            metadata:
              name: dedicated-admins-c0
            roleRef:
              apiGroup: rbac.authorization.k8s.io
              kind: ClusterRole
              name: dedicated-admins-cluster
            subjects:
            - apiGroup: rbac.authorization.k8s.io
              kind: Group
              name: dedicated-admins
        pruneObjectBehavior: DeleteIfCreated
        remediationAction: enforce
        severity: low
  - objectDefinition:
      apiVersion: policy.open-cluster-management.io/v1
      kind: ConfigurationPolicy
      metadata:
        name: rbac-permissions-operator-config-sp5
      spec:
        evaluationInterval:
          compliant: 2h
          noncompliant: 45s
        namespaceSelector:
          exclude:
          - kube
          - kube-*
          - openshift
          - openshift-*
          - default
          - redhat-*
          include:
          - '*'
        object-templates:
        - complianceType: mustonlyhave
          metadataComplianceType: musthave
          objectDefinition:
            apiVersion: rbac.authorization.k8s.io/v1
            kind: RoleBinding
            metadata:
              name: dedicated-admins-0
            roleRef:
              apiGroup: rbac.authorization.k8s.io
              kind: ClusterRole
              name: dedicated-admins-project
            subjects:
            - apiGroup: rbac.authorization.k8s.io
              kind: Group
              name: dedicated-admins
        pruneObjectBehavior: DeleteIfCreated
        remediationAction: enforce
        severity: low
  - objectDefinition:
      apiVersion: policy.open-cluster-management.io/v1
      kind: ConfigurationPolicy
      metadata:
        name: rbac-permissions-operator-config-sp6
      spec:
        evaluationInterval:
          compliant: 2h
          noncompliant: 45s
        namespaceSelector:
          exclude:
          - kube
          - kube-*
          - openshift
          - openshift-*
          - default
          - redhat-*
          include:
          - '*'
        object-templates:
        - complianceType: mustonlyhave
          metadataComplianceType: musthave
          objectDefinition:
            apiVersion: rbac.authorization.k8s.io/v1
            kind: RoleBinding
            metadata:
              name: dedicated-admins-1
            roleRef:
              apiGroup: rbac.authorization.k8s.io
              kind: ClusterRole
              name: admin
            subjects:
            - apiGroup: rbac.authorization.k8s.io
              kind: Group
              name: dedicated-admins
        pruneObjectBehavior: DeleteIfCreated
        remediationAction: enforce
        severity: low
  - objectDefinition:
      apiVersion: policy.open-cluster-management.io/v1
      kind: ConfigurationPolicy
      metadata:
        name: rbac-permissions-operator-config-sp7
      spec:
        evaluationInterval:
          compliant: 2h
          noncompliant: 45s
        namespaceSelector:
          include:
          - openshift-operators
          - openshift-operators-redhat
        object-templates:
        - complianceType: mustonlyhave
          metadataComplianceType: musthave
          objectDefinition:
            apiVersion: rbac.authorization.k8s.io/v1
            kind: RoleBinding
            metadata:
              name: dedicated-admins-core-ns-0
            roleRef:
              apiGroup: rbac.authorization.k8s.io
              kind: ClusterRole
              name: dedicated-admins-project
            subjects:
            - apiGroup: rbac.authorization.k8s.io
              kind: Group
              name: dedicated-admins
        pruneObjectBehavior: DeleteIfCreated
        remediationAction: enforce
        severity: low
  - objectDefinition:
      apiVersion: policy.open-cluster-management.io/v1
      kind: ConfigurationPolicy
      metadata:
        name: rbac-permissions-operator-config-sp8
      spec:
        evaluationInterval:
          compliant: 2h
          noncompliant: 45s
        namespaceSelector:
          include:
          - openshift-operators
          - openshift-operators-redhat
        object-templates:
        - complianceType: mustonlyhave
          metadataComplianceType: musthave
          objectDefinition:
            apiVersion: rbac.authorization.k8s.io/v1
            kind: RoleBinding
            metadata:
              name: dedicated-admins-core-ns-1
            roleRef:
              apiGroup: rbac.authorization.k8s.io
              kind: ClusterRole
              name: admin
            subjects:
            - apiGroup: rbac.authorization.k8s.io
              kind: Group
              name: dedicated-admins
        pruneObjectBehavior: DeleteIfCreated
        remediationAction: enforce
        severity: low
  - objectDefinition:
      apiVersion: policy.open-cluster-management.io/v1
      kind: ConfigurationPolicy
      metadata:
        name: rbac-permissions-operator-config-sp9
      spec:
        evaluationInterval:
          compliant: 2h
          noncompliant: 45s
        namespaceSelector:
          include:
          - openshift-operators
          - openshift-operators-redhat
        object-templates:
        - complianceType: mustonlyhave
          metadataComplianceType: musthave
          objectDefinition:
            apiVersion: rbac.authorization.k8s.io/v1
            kind: RoleBinding
            metadata:
              name: dedicated-admin-serviceaccounts-core-ns-0
            roleRef:
              apiGroup: rbac.authorization.k8s.io
              kind: ClusterRole
              name: dedicated-admins-project
            subjects:
            - apiGroup: rbac.authorization.k8s.io
              kind: Group
              name: system:serviceaccounts:dedicated-admin
        pruneObjectBehavior: DeleteIfCreated
        remediationAction: enforce
        severity: low
  - objectDefinition:
      apiVersion: policy.open-cluster-management.io/v1
      kind: ConfigurationPolicy
      metadata:
        name: rbac-permissions-operator-config-sp10
      spec:
        evaluationInterval:
          compliant: 2h
          noncompliant: 45s
        namespaceSelector:
          include:
          - openshift-operators
          - openshift-operators-redhat
        object-templates:
        - complianceType: mustonlyhave
          metadataComplianceType: musthave
          objectDefinition:
            apiVersion: rbac.authorization.k8s.io/v1
            kind: RoleBinding
            metadata:
              name: dedicated-admin-serviceaccounts-core-ns-1
            roleRef:
              apiGroup: rbac.authorization.k8s.io
              kind: ClusterRole
              name: admin
            subjects:
            - apiGroup: rbac.authorization.k8s.io
              kind: Group
              name: system:serviceaccounts:dedicated-admin
        pruneObjectBehavior: DeleteIfCreated
        remediationAction: enforce
        severity: low
  remediationAction: enforce
status:
  compliant: Compliant
  details:
  - compliant: Compliant
    history:
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b77d759af8d1
      lastTimestamp: "2025-09-19T15:07:34Z"
      message: Compliant; notification - clusterrolebindings [dedicated-admin-serviceaccounts-c0]
        found as specified
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b0f1183b0cca
      lastTimestamp: "2025-09-19T13:07:34Z"
      message: Compliant; notification - clusterrolebindings [dedicated-admin-serviceaccounts-c0]
        was created successfully
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b0f1175b9d9b
      lastTimestamp: "2025-09-19T13:07:34Z"
      message: NonCompliant; violation - clusterrolebindings [dedicated-admin-serviceaccounts-c0]
        not found
    templateMeta:
      creationTimestamp: null
      name: rbac-permissions-operator-config-sp
  - compliant: Compliant
    history:
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b7bc9cca5912
      lastTimestamp: "2025-09-19T15:12:05Z"
      message: 'Compliant; notification - rolebindings [dedicated-admin-serviceaccounts-0]
        found as specified in namespaces: ak-test, cluster-density-ms-0, cluster-density-ms-1,
        cluster-density-ms-10, cluster-density-ms-11, cluster-density-ms-12, cluster-density-ms-13,
        cluster-density-ms-14, cluster-density-ms-15, cluster-density-ms-16, cluster-density-ms-17,
        cluster-density-ms-18, cluster-density-ms-19, cluster-density-ms-2, cluster-density-ms-20,
        cluster-density-ms-21, cluster-density-ms-22, cluster-density-ms-23, cluster-density-ms-24,
        cluster-density-ms-25, cluster-density-ms-26, cluster-density-ms-3, cluster-density-ms-4,
        cluster-density-ms-5, cluster-density-ms-6, cluster-density-ms-9, dedicated-admin,
        open-cluster-management-2ldg9p0tjamj3npk8e84t704einhqrh0, open-cluster-management-agent-addon;
        rolebindings [dedicated-admin-serviceaccounts-0] was created successfully
        in namespaces: cluster-density-ms-7, cluster-density-ms-8'
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b7bc9ba75ecb
      lastTimestamp: "2025-09-19T15:12:05Z"
      message: 'NonCompliant; violation - rolebindings [dedicated-admin-serviceaccounts-0]
        not found in namespaces: cluster-density-ms-7, cluster-density-ms-8'
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b7b1584c5bfa
      lastTimestamp: "2025-09-19T15:11:16Z"
      message: 'Compliant; notification - rolebindings [dedicated-admin-serviceaccounts-0]
        found as specified in namespaces: ak-test, cluster-density-ms-0, cluster-density-ms-1,
        cluster-density-ms-10, cluster-density-ms-11, cluster-density-ms-12, cluster-density-ms-13,
        cluster-density-ms-14, cluster-density-ms-15, cluster-density-ms-16, cluster-density-ms-17,
        cluster-density-ms-18, cluster-density-ms-19, cluster-density-ms-2, cluster-density-ms-20,
        cluster-density-ms-21, cluster-density-ms-23, cluster-density-ms-24, cluster-density-ms-25,
        cluster-density-ms-26, cluster-density-ms-3, cluster-density-ms-4, cluster-density-ms-5,
        cluster-density-ms-6, cluster-density-ms-7, cluster-density-ms-8, cluster-density-ms-9,
        dedicated-admin, open-cluster-management-2ldg9p0tjamj3npk8e84t704einhqrh0,
        open-cluster-management-agent-addon; rolebindings [dedicated-admin-serviceaccounts-0]
        was created successfully in namespace cluster-density-ms-22'
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b7b157023561
      lastTimestamp: "2025-09-19T15:11:16Z"
      message: NonCompliant; violation - rolebindings [dedicated-admin-serviceaccounts-0]
        not found in namespace cluster-density-ms-22
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b7b05104ddac
      lastTimestamp: "2025-09-19T15:11:12Z"
      message: 'Compliant; notification - rolebindings [dedicated-admin-serviceaccounts-0]
        found as specified in namespaces: ak-test, cluster-density-ms-0, cluster-density-ms-1,
        cluster-density-ms-10, cluster-density-ms-11, cluster-density-ms-12, cluster-density-ms-13,
        cluster-density-ms-14, cluster-density-ms-15, cluster-density-ms-16, cluster-density-ms-17,
        cluster-density-ms-18, cluster-density-ms-19, cluster-density-ms-2, cluster-density-ms-20,
        cluster-density-ms-23, cluster-density-ms-24, cluster-density-ms-25, cluster-density-ms-26,
        cluster-density-ms-3, cluster-density-ms-4, cluster-density-ms-5, cluster-density-ms-6,
        cluster-density-ms-7, cluster-density-ms-8, cluster-density-ms-9, dedicated-admin,
        open-cluster-management-2ldg9p0tjamj3npk8e84t704einhqrh0, open-cluster-management-agent-addon;
        rolebindings [dedicated-admin-serviceaccounts-0] was created successfully
        in namespace cluster-density-ms-21'
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b7b04cd1d1ab
      lastTimestamp: "2025-09-19T15:11:12Z"
      message: NonCompliant; violation - rolebindings [dedicated-admin-serviceaccounts-0]
        not found in namespace cluster-density-ms-21
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b7a5aa822dff
      lastTimestamp: "2025-09-19T15:10:26Z"
      message: 'Compliant; notification - rolebindings [dedicated-admin-serviceaccounts-0]
        found as specified in namespaces: ak-test, cluster-density-ms-0, cluster-density-ms-1,
        cluster-density-ms-10, cluster-density-ms-11, cluster-density-ms-12, cluster-density-ms-13,
        cluster-density-ms-14, cluster-density-ms-15, cluster-density-ms-16, cluster-density-ms-17,
        cluster-density-ms-18, cluster-density-ms-19, cluster-density-ms-2, cluster-density-ms-20,
        cluster-density-ms-21, cluster-density-ms-22, cluster-density-ms-25, cluster-density-ms-26,
        cluster-density-ms-3, cluster-density-ms-4, cluster-density-ms-5, cluster-density-ms-6,
        cluster-density-ms-7, cluster-density-ms-8, cluster-density-ms-9, dedicated-admin,
        open-cluster-management-2ldg9p0tjamj3npk8e84t704einhqrh0, open-cluster-management-agent-addon;
        rolebindings [dedicated-admin-serviceaccounts-0] was created successfully
        in namespaces: cluster-density-ms-23, cluster-density-ms-24'
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b7a5a939bae6
      lastTimestamp: "2025-09-19T15:10:26Z"
      message: 'NonCompliant; violation - rolebindings [dedicated-admin-serviceaccounts-0]
        not found in namespaces: cluster-density-ms-23, cluster-density-ms-24'
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b7a4871f7fac
      lastTimestamp: "2025-09-19T15:10:21Z"
      message: 'Compliant; notification - rolebindings [dedicated-admin-serviceaccounts-0]
        found as specified in namespaces: ak-test, cluster-density-ms-0, cluster-density-ms-1,
        cluster-density-ms-10, cluster-density-ms-11, cluster-density-ms-12, cluster-density-ms-13,
        cluster-density-ms-14, cluster-density-ms-15, cluster-density-ms-16, cluster-density-ms-17,
        cluster-density-ms-18, cluster-density-ms-19, cluster-density-ms-2, cluster-density-ms-20,
        cluster-density-ms-21, cluster-density-ms-22, cluster-density-ms-25, cluster-density-ms-26,
        cluster-density-ms-3, cluster-density-ms-4, cluster-density-ms-5, cluster-density-ms-6,
        cluster-density-ms-7, cluster-density-ms-8, cluster-density-ms-9, dedicated-admin,
        open-cluster-management-2ldg9p0tjamj3npk8e84t704einhqrh0, open-cluster-management-agent-addon'
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b79a44dbc3e3
      lastTimestamp: "2025-09-19T15:09:37Z"
      message: 'Compliant; notification - rolebindings [dedicated-admin-serviceaccounts-0]
        found as specified in namespaces: ak-test, cluster-density-ms-0, cluster-density-ms-1,
        cluster-density-ms-10, cluster-density-ms-11, cluster-density-ms-12, cluster-density-ms-13,
        cluster-density-ms-14, cluster-density-ms-15, cluster-density-ms-16, cluster-density-ms-17,
        cluster-density-ms-18, cluster-density-ms-19, cluster-density-ms-2, cluster-density-ms-20,
        cluster-density-ms-21, cluster-density-ms-22, cluster-density-ms-23, cluster-density-ms-24,
        cluster-density-ms-25, cluster-density-ms-26, cluster-density-ms-3, cluster-density-ms-4,
        cluster-density-ms-5, cluster-density-ms-6, cluster-density-ms-7, cluster-density-ms-9,
        dedicated-admin, open-cluster-management-2ldg9p0tjamj3npk8e84t704einhqrh0,
        open-cluster-management-agent-addon; rolebindings [dedicated-admin-serviceaccounts-0]
        was created successfully in namespace cluster-density-ms-8'
    templateMeta:
      creationTimestamp: null
      name: rbac-permissions-operator-config-sp2
  - compliant: Compliant
    history:
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b7bd6648d9ee
      lastTimestamp: "2025-09-19T15:12:08Z"
      message: 'Compliant; notification - rolebindings [dedicated-admin-serviceaccounts-1]
        found as specified in namespaces: ak-test, cluster-density-ms-0, cluster-density-ms-1,
        cluster-density-ms-10, cluster-density-ms-11, cluster-density-ms-12, cluster-density-ms-13,
        cluster-density-ms-14, cluster-density-ms-15, cluster-density-ms-16, cluster-density-ms-17,
        cluster-density-ms-18, cluster-density-ms-19, cluster-density-ms-2, cluster-density-ms-20,
        cluster-density-ms-21, cluster-density-ms-22, cluster-density-ms-23, cluster-density-ms-24,
        cluster-density-ms-25, cluster-density-ms-26, cluster-density-ms-3, cluster-density-ms-4,
        cluster-density-ms-5, cluster-density-ms-6, cluster-density-ms-9, dedicated-admin,
        open-cluster-management-2ldg9p0tjamj3npk8e84t704einhqrh0, open-cluster-management-agent-addon;
        rolebindings [dedicated-admin-serviceaccounts-1] was created successfully
        in namespaces: cluster-density-ms-7, cluster-density-ms-8'
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b7bd6504e45c
      lastTimestamp: "2025-09-19T15:12:08Z"
      message: 'NonCompliant; violation - rolebindings [dedicated-admin-serviceaccounts-1]
        not found in namespaces: cluster-density-ms-7, cluster-density-ms-8'
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b7bc1e77b816
      lastTimestamp: "2025-09-19T15:12:03Z"
      message: 'Compliant; notification - rolebindings [dedicated-admin-serviceaccounts-1]
        found as specified in namespaces: ak-test, cluster-density-ms-0, cluster-density-ms-1,
        cluster-density-ms-10, cluster-density-ms-11, cluster-density-ms-12, cluster-density-ms-13,
        cluster-density-ms-14, cluster-density-ms-15, cluster-density-ms-16, cluster-density-ms-17,
        cluster-density-ms-18, cluster-density-ms-19, cluster-density-ms-2, cluster-density-ms-20,
        cluster-density-ms-21, cluster-density-ms-22, cluster-density-ms-23, cluster-density-ms-24,
        cluster-density-ms-25, cluster-density-ms-26, cluster-density-ms-3, cluster-density-ms-4,
        cluster-density-ms-5, cluster-density-ms-6, cluster-density-ms-9, dedicated-admin,
        open-cluster-management-2ldg9p0tjamj3npk8e84t704einhqrh0, open-cluster-management-agent-addon'
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b7b197d74606
      lastTimestamp: "2025-09-19T15:11:17Z"
      message: 'Compliant; notification - rolebindings [dedicated-admin-serviceaccounts-1]
        found as specified in namespaces: ak-test, cluster-density-ms-0, cluster-density-ms-1,
        cluster-density-ms-10, cluster-density-ms-11, cluster-density-ms-12, cluster-density-ms-13,
        cluster-density-ms-14, cluster-density-ms-15, cluster-density-ms-16, cluster-density-ms-17,
        cluster-density-ms-18, cluster-density-ms-19, cluster-density-ms-2, cluster-density-ms-20,
        cluster-density-ms-21, cluster-density-ms-23, cluster-density-ms-24, cluster-density-ms-25,
        cluster-density-ms-26, cluster-density-ms-3, cluster-density-ms-4, cluster-density-ms-5,
        cluster-density-ms-6, cluster-density-ms-7, cluster-density-ms-8, cluster-density-ms-9,
        dedicated-admin, open-cluster-management-2ldg9p0tjamj3npk8e84t704einhqrh0,
        open-cluster-management-agent-addon; rolebindings [dedicated-admin-serviceaccounts-1]
        was created successfully in namespace cluster-density-ms-22'
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b7b1969783c9
      lastTimestamp: "2025-09-19T15:11:17Z"
      message: NonCompliant; violation - rolebindings [dedicated-admin-serviceaccounts-1]
        not found in namespace cluster-density-ms-22
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b7b052dc70c2
      lastTimestamp: "2025-09-19T15:11:12Z"
      message: 'Compliant; notification - rolebindings [dedicated-admin-serviceaccounts-1]
        found as specified in namespaces: ak-test, cluster-density-ms-0, cluster-density-ms-1,
        cluster-density-ms-10, cluster-density-ms-11, cluster-density-ms-12, cluster-density-ms-13,
        cluster-density-ms-14, cluster-density-ms-15, cluster-density-ms-16, cluster-density-ms-17,
        cluster-density-ms-18, cluster-density-ms-19, cluster-density-ms-2, cluster-density-ms-20,
        cluster-density-ms-23, cluster-density-ms-24, cluster-density-ms-25, cluster-density-ms-26,
        cluster-density-ms-3, cluster-density-ms-4, cluster-density-ms-5, cluster-density-ms-6,
        cluster-density-ms-7, cluster-density-ms-8, cluster-density-ms-9, dedicated-admin,
        open-cluster-management-2ldg9p0tjamj3npk8e84t704einhqrh0, open-cluster-management-agent-addon;
        rolebindings [dedicated-admin-serviceaccounts-1] was created successfully
        in namespace cluster-density-ms-21'
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b7b04ed49f64
      lastTimestamp: "2025-09-19T15:11:12Z"
      message: NonCompliant; violation - rolebindings [dedicated-admin-serviceaccounts-1]
        not found in namespace cluster-density-ms-21
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b7a52356fc44
      lastTimestamp: "2025-09-19T15:10:24Z"
      message: 'Compliant; notification - rolebindings [dedicated-admin-serviceaccounts-1]
        found as specified in namespaces: ak-test, cluster-density-ms-0, cluster-density-ms-1,
        cluster-density-ms-10, cluster-density-ms-11, cluster-density-ms-12, cluster-density-ms-13,
        cluster-density-ms-14, cluster-density-ms-15, cluster-density-ms-16, cluster-density-ms-17,
        cluster-density-ms-18, cluster-density-ms-19, cluster-density-ms-2, cluster-density-ms-20,
        cluster-density-ms-21, cluster-density-ms-22, cluster-density-ms-25, cluster-density-ms-26,
        cluster-density-ms-3, cluster-density-ms-4, cluster-density-ms-5, cluster-density-ms-6,
        cluster-density-ms-7, cluster-density-ms-8, cluster-density-ms-9, dedicated-admin,
        open-cluster-management-2ldg9p0tjamj3npk8e84t704einhqrh0, open-cluster-management-agent-addon;
        rolebindings [dedicated-admin-serviceaccounts-1] was created successfully
        in namespaces: cluster-density-ms-23, cluster-density-ms-24'
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b7a5222afa1f
      lastTimestamp: "2025-09-19T15:10:24Z"
      message: 'NonCompliant; violation - rolebindings [dedicated-admin-serviceaccounts-1]
        not found in namespaces: cluster-density-ms-23, cluster-density-ms-24'
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b7a415e08b00
      lastTimestamp: "2025-09-19T15:10:19Z"
      message: 'NonCompliant; violation - rolebindings [dedicated-admin-serviceaccounts-1]
        in namespace cluster-density-ms-23 is missing, and cannot be created, reason:
        `rolebindings.rbac.authorization.k8s.io "dedicated-admin-serviceaccounts-1"
        is forbidden: unable to create new content in namespace cluster-density-ms-23
        because it is being terminated`'
    templateMeta:
      creationTimestamp: null
      name: rbac-permissions-operator-config-sp3
  - compliant: Compliant
    history:
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b77db139b77a
      lastTimestamp: "2025-09-19T15:07:35Z"
      message: Compliant; notification - clusterrolebindings [dedicated-admins-c0]
        found as specified
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b0f173b50314
      lastTimestamp: "2025-09-19T13:07:35Z"
      message: Compliant; notification - clusterrolebindings [dedicated-admins-c0]
        was created successfully
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b0f172d71ce2
      lastTimestamp: "2025-09-19T13:07:35Z"
      message: NonCompliant; violation - clusterrolebindings [dedicated-admins-c0]
        not found
    templateMeta:
      creationTimestamp: null
      name: rbac-permissions-operator-config-sp4
  - compliant: Compliant
    history:
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b7bd2415b5c1
      lastTimestamp: "2025-09-19T15:12:07Z"
      message: 'Compliant; notification - rolebindings [dedicated-admins-0] found
        as specified in namespaces: ak-test, cluster-density-ms-0, cluster-density-ms-1,
        cluster-density-ms-10, cluster-density-ms-11, cluster-density-ms-12, cluster-density-ms-13,
        cluster-density-ms-14, cluster-density-ms-15, cluster-density-ms-16, cluster-density-ms-17,
        cluster-density-ms-18, cluster-density-ms-19, cluster-density-ms-2, cluster-density-ms-20,
        cluster-density-ms-21, cluster-density-ms-22, cluster-density-ms-23, cluster-density-ms-24,
        cluster-density-ms-25, cluster-density-ms-26, cluster-density-ms-3, cluster-density-ms-4,
        cluster-density-ms-5, cluster-density-ms-6, cluster-density-ms-9, dedicated-admin,
        open-cluster-management-2ldg9p0tjamj3npk8e84t704einhqrh0, open-cluster-management-agent-addon;
        rolebindings [dedicated-admins-0] was created successfully in namespaces:
        cluster-density-ms-7, cluster-density-ms-8'
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b7bd22cad8a5
      lastTimestamp: "2025-09-19T15:12:07Z"
      message: 'NonCompliant; violation - rolebindings [dedicated-admins-0] not found
        in namespaces: cluster-density-ms-7, cluster-density-ms-8'
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b7bc1884966d
      lastTimestamp: "2025-09-19T15:12:03Z"
      message: 'Compliant; notification - rolebindings [dedicated-admins-0] found
        as specified in namespaces: ak-test, cluster-density-ms-0, cluster-density-ms-1,
        cluster-density-ms-10, cluster-density-ms-11, cluster-density-ms-12, cluster-density-ms-13,
        cluster-density-ms-14, cluster-density-ms-15, cluster-density-ms-16, cluster-density-ms-17,
        cluster-density-ms-18, cluster-density-ms-19, cluster-density-ms-2, cluster-density-ms-20,
        cluster-density-ms-21, cluster-density-ms-22, cluster-density-ms-23, cluster-density-ms-24,
        cluster-density-ms-25, cluster-density-ms-26, cluster-density-ms-3, cluster-density-ms-4,
        cluster-density-ms-5, cluster-density-ms-6, cluster-density-ms-9, dedicated-admin,
        open-cluster-management-2ldg9p0tjamj3npk8e84t704einhqrh0, open-cluster-management-agent-addon'
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b7b0d5265baf
      lastTimestamp: "2025-09-19T15:11:14Z"
      message: 'Compliant; notification - rolebindings [dedicated-admins-0] found
        as specified in namespaces: ak-test, cluster-density-ms-0, cluster-density-ms-1,
        cluster-density-ms-10, cluster-density-ms-11, cluster-density-ms-12, cluster-density-ms-13,
        cluster-density-ms-14, cluster-density-ms-15, cluster-density-ms-16, cluster-density-ms-17,
        cluster-density-ms-18, cluster-density-ms-19, cluster-density-ms-2, cluster-density-ms-20,
        cluster-density-ms-23, cluster-density-ms-24, cluster-density-ms-25, cluster-density-ms-26,
        cluster-density-ms-3, cluster-density-ms-4, cluster-density-ms-5, cluster-density-ms-6,
        cluster-density-ms-7, cluster-density-ms-8, cluster-density-ms-9, dedicated-admin,
        open-cluster-management-2ldg9p0tjamj3npk8e84t704einhqrh0, open-cluster-management-agent-addon;
        rolebindings [dedicated-admins-0] was created successfully in namespaces:
        cluster-density-ms-21, cluster-density-ms-22'
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b7b0d3e42120
      lastTimestamp: "2025-09-19T15:11:14Z"
      message: 'NonCompliant; violation - rolebindings [dedicated-admins-0] not found
        in namespaces: cluster-density-ms-21, cluster-density-ms-22'
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b7a50b6af8a6
      lastTimestamp: "2025-09-19T15:10:24Z"
      message: 'Compliant; notification - rolebindings [dedicated-admins-0] found
        as specified in namespaces: ak-test, cluster-density-ms-0, cluster-density-ms-1,
        cluster-density-ms-10, cluster-density-ms-11, cluster-density-ms-12, cluster-density-ms-13,
        cluster-density-ms-14, cluster-density-ms-15, cluster-density-ms-16, cluster-density-ms-17,
        cluster-density-ms-18, cluster-density-ms-19, cluster-density-ms-2, cluster-density-ms-20,
        cluster-density-ms-21, cluster-density-ms-22, cluster-density-ms-25, cluster-density-ms-26,
        cluster-density-ms-3, cluster-density-ms-4, cluster-density-ms-5, cluster-density-ms-6,
        cluster-density-ms-7, cluster-density-ms-8, cluster-density-ms-9, dedicated-admin,
        open-cluster-management-2ldg9p0tjamj3npk8e84t704einhqrh0, open-cluster-management-agent-addon;
        rolebindings [dedicated-admins-0] was created successfully in namespaces:
        cluster-density-ms-23, cluster-density-ms-24'
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b7a50a4805d6
      lastTimestamp: "2025-09-19T15:10:24Z"
      message: 'NonCompliant; violation - rolebindings [dedicated-admins-0] not found
        in namespaces: cluster-density-ms-23, cluster-density-ms-24'
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b799840d7d1a
      lastTimestamp: "2025-09-19T15:09:34Z"
      message: 'Compliant; notification - rolebindings [dedicated-admins-0] found
        as specified in namespaces: ak-test, cluster-density-ms-0, cluster-density-ms-1,
        cluster-density-ms-10, cluster-density-ms-11, cluster-density-ms-12, cluster-density-ms-13,
        cluster-density-ms-14, cluster-density-ms-15, cluster-density-ms-16, cluster-density-ms-17,
        cluster-density-ms-18, cluster-density-ms-19, cluster-density-ms-2, cluster-density-ms-20,
        cluster-density-ms-21, cluster-density-ms-22, cluster-density-ms-23, cluster-density-ms-24,
        cluster-density-ms-25, cluster-density-ms-26, cluster-density-ms-3, cluster-density-ms-4,
        cluster-density-ms-5, cluster-density-ms-6, cluster-density-ms-9, dedicated-admin,
        open-cluster-management-2ldg9p0tjamj3npk8e84t704einhqrh0, open-cluster-management-agent-addon;
        rolebindings [dedicated-admins-0] was created successfully in namespaces:
        cluster-density-ms-7, cluster-density-ms-8'
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b79982f56d83
      lastTimestamp: "2025-09-19T15:09:34Z"
      message: 'NonCompliant; violation - rolebindings [dedicated-admins-0] not found
        in namespaces: cluster-density-ms-7, cluster-density-ms-8'
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b7987ea6a15e
      lastTimestamp: "2025-09-19T15:09:30Z"
      message: 'Compliant; notification - rolebindings [dedicated-admins-0] found
        as specified in namespaces: ak-test, cluster-density-ms-0, cluster-density-ms-1,
        cluster-density-ms-10, cluster-density-ms-11, cluster-density-ms-12, cluster-density-ms-13,
        cluster-density-ms-14, cluster-density-ms-15, cluster-density-ms-16, cluster-density-ms-17,
        cluster-density-ms-18, cluster-density-ms-19, cluster-density-ms-2, cluster-density-ms-20,
        cluster-density-ms-21, cluster-density-ms-22, cluster-density-ms-23, cluster-density-ms-24,
        cluster-density-ms-25, cluster-density-ms-26, cluster-density-ms-3, cluster-density-ms-4,
        cluster-density-ms-5, cluster-density-ms-6, cluster-density-ms-9, dedicated-admin,
        open-cluster-management-2ldg9p0tjamj3npk8e84t704einhqrh0, open-cluster-management-agent-addon'
    templateMeta:
      creationTimestamp: null
      name: rbac-permissions-operator-config-sp5
  - compliant: Compliant
    history:
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b7bca0db1c65
      lastTimestamp: "2025-09-19T15:12:05Z"
      message: 'Compliant; notification - rolebindings [dedicated-admins-1] found
        as specified in namespaces: ak-test, cluster-density-ms-0, cluster-density-ms-1,
        cluster-density-ms-10, cluster-density-ms-11, cluster-density-ms-12, cluster-density-ms-13,
        cluster-density-ms-14, cluster-density-ms-15, cluster-density-ms-16, cluster-density-ms-17,
        cluster-density-ms-18, cluster-density-ms-19, cluster-density-ms-2, cluster-density-ms-20,
        cluster-density-ms-21, cluster-density-ms-22, cluster-density-ms-23, cluster-density-ms-24,
        cluster-density-ms-25, cluster-density-ms-26, cluster-density-ms-3, cluster-density-ms-4,
        cluster-density-ms-5, cluster-density-ms-6, cluster-density-ms-9, dedicated-admin,
        open-cluster-management-2ldg9p0tjamj3npk8e84t704einhqrh0, open-cluster-management-agent-addon;
        rolebindings [dedicated-admins-1] was created successfully in namespaces:
        cluster-density-ms-7, cluster-density-ms-8'
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b7bc9fb1c049
      lastTimestamp: "2025-09-19T15:12:05Z"
      message: 'NonCompliant; violation - rolebindings [dedicated-admins-1] not found
        in namespaces: cluster-density-ms-7, cluster-density-ms-8'
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b7bb9f4fcb69
      lastTimestamp: "2025-09-19T15:12:00Z"
      message: 'NonCompliant; violation - rolebindings [dedicated-admins-1] in namespace
        cluster-density-ms-8 is missing, and cannot be created, reason: `rolebindings.rbac.authorization.k8s.io
        "dedicated-admins-1" is forbidden: unable to create new content in namespace
        cluster-density-ms-8 because it is being terminated`'
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b7bb9d5e9ef1
      lastTimestamp: "2025-09-19T15:12:00Z"
      message: NonCompliant; violation - rolebindings [dedicated-admins-1] not found
        in namespace cluster-density-ms-8
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b7b15653c031
      lastTimestamp: "2025-09-19T15:11:16Z"
      message: 'Compliant; notification - rolebindings [dedicated-admins-1] found
        as specified in namespaces: ak-test, cluster-density-ms-0, cluster-density-ms-1,
        cluster-density-ms-10, cluster-density-ms-11, cluster-density-ms-12, cluster-density-ms-13,
        cluster-density-ms-14, cluster-density-ms-15, cluster-density-ms-16, cluster-density-ms-17,
        cluster-density-ms-18, cluster-density-ms-19, cluster-density-ms-2, cluster-density-ms-20,
        cluster-density-ms-23, cluster-density-ms-24, cluster-density-ms-25, cluster-density-ms-26,
        cluster-density-ms-3, cluster-density-ms-4, cluster-density-ms-5, cluster-density-ms-6,
        cluster-density-ms-7, cluster-density-ms-8, cluster-density-ms-9, dedicated-admin,
        open-cluster-management-2ldg9p0tjamj3npk8e84t704einhqrh0, open-cluster-management-agent-addon;
        rolebindings [dedicated-admins-1] was created successfully in namespaces:
        cluster-density-ms-21, cluster-density-ms-22'
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b7b154ff6df1
      lastTimestamp: "2025-09-19T15:11:16Z"
      message: 'NonCompliant; violation - rolebindings [dedicated-admins-1] not found
        in namespaces: cluster-density-ms-21, cluster-density-ms-22'
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b7afd786572e
      lastTimestamp: "2025-09-19T15:11:10Z"
      message: 'NonCompliant; violation - rolebindings [dedicated-admins-1] in namespace
        cluster-density-ms-22 is missing, and cannot be created, reason: `namespaces
        "cluster-density-ms-22" not found`'
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b7afd35c51f4
      lastTimestamp: "2025-09-19T15:11:10Z"
      message: NonCompliant; violation - rolebindings [dedicated-admins-1] not found
        in namespace cluster-density-ms-22
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b7a5dbfd68eb
      lastTimestamp: "2025-09-19T15:10:27Z"
      message: 'Compliant; notification - rolebindings [dedicated-admins-1] found
        as specified in namespaces: ak-test, cluster-density-ms-0, cluster-density-ms-1,
        cluster-density-ms-10, cluster-density-ms-11, cluster-density-ms-12, cluster-density-ms-13,
        cluster-density-ms-14, cluster-density-ms-15, cluster-density-ms-16, cluster-density-ms-17,
        cluster-density-ms-18, cluster-density-ms-19, cluster-density-ms-2, cluster-density-ms-20,
        cluster-density-ms-21, cluster-density-ms-22, cluster-density-ms-23, cluster-density-ms-25,
        cluster-density-ms-26, cluster-density-ms-3, cluster-density-ms-4, cluster-density-ms-5,
        cluster-density-ms-6, cluster-density-ms-7, cluster-density-ms-8, cluster-density-ms-9,
        dedicated-admin, open-cluster-management-2ldg9p0tjamj3npk8e84t704einhqrh0,
        open-cluster-management-agent-addon; rolebindings [dedicated-admins-1] was
        created successfully in namespace cluster-density-ms-24'
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b7a5dae2ed53
      lastTimestamp: "2025-09-19T15:10:27Z"
      message: NonCompliant; violation - rolebindings [dedicated-admins-1] not found
        in namespace cluster-density-ms-24
    templateMeta:
      creationTimestamp: null
      name: rbac-permissions-operator-config-sp6
  - compliant: Compliant
    history:
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b77e5d09e765
      lastTimestamp: "2025-09-19T15:07:37Z"
      message: 'Compliant; notification - rolebindings [dedicated-admins-core-ns-0]
        found as specified in namespaces: openshift-operators, openshift-operators-redhat'
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b0f1b499adbe
      lastTimestamp: "2025-09-19T13:07:36Z"
      message: 'Compliant; notification - rolebindings [dedicated-admins-core-ns-0]
        was created successfully in namespaces: openshift-operators, openshift-operators-redhat'
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b0f1b34c200d
      lastTimestamp: "2025-09-19T13:07:36Z"
      message: 'NonCompliant; violation - rolebindings [dedicated-admins-core-ns-0]
        not found in namespaces: openshift-operators, openshift-operators-redhat'
    templateMeta:
      creationTimestamp: null
      name: rbac-permissions-operator-config-sp7
  - compliant: Compliant
    history:
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b77edf41c91e
      lastTimestamp: "2025-09-19T15:07:40Z"
      message: 'Compliant; notification - rolebindings [dedicated-admins-core-ns-1]
        found as specified in namespaces: openshift-operators, openshift-operators-redhat'
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b0f1cc1ec71e
      lastTimestamp: "2025-09-19T13:07:37Z"
      message: 'Compliant; notification - rolebindings [dedicated-admins-core-ns-1]
        was created successfully in namespaces: openshift-operators, openshift-operators-redhat'
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b0f1cb35a311
      lastTimestamp: "2025-09-19T13:07:37Z"
      message: 'NonCompliant; violation - rolebindings [dedicated-admins-core-ns-1]
        not found in namespaces: openshift-operators, openshift-operators-redhat'
    templateMeta:
      creationTimestamp: null
      name: rbac-permissions-operator-config-sp8
  - compliant: Compliant
    history:
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b77ee72c3f17
      lastTimestamp: "2025-09-19T15:07:40Z"
      message: 'Compliant; notification - rolebindings [dedicated-admin-serviceaccounts-core-ns-0]
        found as specified in namespaces: openshift-operators, openshift-operators-redhat'
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b0f1f17530cc
      lastTimestamp: "2025-09-19T13:07:37Z"
      message: 'Compliant; notification - rolebindings [dedicated-admin-serviceaccounts-core-ns-0]
        was created successfully in namespaces: openshift-operators, openshift-operators-redhat'
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b0f1f0947e41
      lastTimestamp: "2025-09-19T13:07:37Z"
      message: 'NonCompliant; violation - rolebindings [dedicated-admin-serviceaccounts-core-ns-0]
        not found in namespaces: openshift-operators, openshift-operators-redhat'
    templateMeta:
      creationTimestamp: null
      name: rbac-permissions-operator-config-sp9
  - compliant: Compliant
    history:
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b77ef31cf995
      lastTimestamp: "2025-09-19T15:07:40Z"
      message: 'Compliant; notification - rolebindings [dedicated-admin-serviceaccounts-core-ns-1]
        found as specified in namespaces: openshift-operators, openshift-operators-redhat'
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b0f203647d71
      lastTimestamp: "2025-09-19T13:07:38Z"
      message: 'Compliant; notification - rolebindings [dedicated-admin-serviceaccounts-core-ns-1]
        was created successfully in namespaces: openshift-operators, openshift-operators-redhat'
    - eventName: openshift-acm-policies.rbac-permissions-operator-config-sp.1866b0f202737780
      lastTimestamp: "2025-09-19T13:07:38Z"
      message: 'NonCompliant; violation - rolebindings [dedicated-admin-serviceaccounts-core-ns-1]
        not found in namespaces: openshift-operators, openshift-operators-redhat'
    templateMeta:
      creationTimestamp: null
      name: rbac-permissions-operator-config-sp10
